import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { store } from './store'
// import 'default-passive-events'
// import 'lib-flexible'
import { Toast, Icon, Tab, Tabs, Loading, Popup } from 'vant'
import '@/styles/index.scss'
import '@/permission'

const app = createApp(App)
app.config.globalProperties.$toast = Toast
app
  .use(Toast).use(Icon)
  .use(Tabs)
  .use(Tab)
  .use(Loading)
  .use(Popup)
  .use(store)
  .use(router)
  .mount('#app')
